/* Custom Css */
#header.header.navbar-default {
    display: flex;
}
#header.header.navbar-default ul.navbar-nav.navbar-right {
    width: calc(100% - 220px);
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-end;
}

#header.header.navbar-default ul.navbar-nav.navbar-right li.dropdown {
    display: flex;
    align-items: center;
}
#header.header.navbar-default ul.navbar-nav.navbar-right li.dropdown select {
    width: 250px;
    display: inline-block;
}
#header.header.navbar-default ul.navbar-nav.navbar-right li.dropdown label {
    width: auto;
    display: inline-block;
    position: relative;
}
#header.header.navbar-default ul.navbar-nav.navbar-right li.dropdown .antenna {
    position: relative;
    width: 25px;
    opacity: .8;
}
#header.header.navbar-default ul.navbar-nav.navbar-right li.dropdown label::before {
    content: "Operador";
    position: absolute;
    top: 45px;
    border-radius: 4px;
    padding: .3rem .5rem;
    background-color: rgba(0,0,0,0.6); /* El ultimo numero es transparencia */
    color: white;
    display: none;
}
#header.header.navbar-default ul.navbar-nav.navbar-right li.dropdown label:hover::before {
    display: inline-block;
}

i.fa.fa-phone, i.fa.fa-envelope, i.fa.fa-eye {

    width: 80px;
    opacity: .5;
}
@media screen and (min-width: 1240px) {
    table#table-typify {
        width: 100% !important;
    }

    .filter_table {

        margin-top: 10px;
        margin-bottom: 10px;
        margin-right: 10px;
        margin-left: 10 px;
    }
}

.filter_table {
    display: inline-block;
    width: calc(25% - 15px);
    margin-top: 5px;
    margin-bottom: 5px;
    margin-right: 5px;
    margin-left: 5px;
}

.filter_table select {

    width: 100%;

}

.filter_trigger {
    display: inline-block;
    width: calc(33% - 15px);
    margin-top: 5px;
    margin-bottom: 5px;
    margin-right: 5px;
    margin-left: 5px;
}

.filter_trigger select {

    width: 100%;

}

.modal.show{

    top: 20%;
    
}

.filter_table .select2.select2-container.select2-container--default {

    width: 100% !important;

}

.form-control-with-bg .form-control {

    background: white;
}

#custom_select2 .select2.select2-container{
    width: calc(100% - 130px) !important;
    position: relative;
    left: -8px;
}

.filter_group {

    width: 100%;
    padding: 1rem;
    padding-top: 1.5rem;
    border-radius: 5px;
    border: 1px solid #d3d8de;
    border-bottom: 3px solid #d3d8de;
    position: relative;
    margin-top: 5px;
    margin-bottom: 5px;

}

.filter_group_close {

    position: absolute;
    top: .5rem;
    right: .5rem;
    cursor: pointer;

}


div.col.ui-sortable {
    display: inline-block;
    width: 20%;
    margin-top: 5px;
    margin-bottom: 5px;
    margin-right: 5px;
    margin-left: 5px;
}

div.category_div {

    margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 10px;
    margin-left: 10px;

}

li.nav-items {

    cursor: pointer;

}

.table-info-customer {

    display:flex;

}

.lololo .table-responsive.tab-pane.fade.show {

    display:block;

}

.lololo .table-responsive.tab-pane.fade {

    display:none;

}

.template_div {
    margin-top: 15px;
    margin-bottom: 15px;
    margin-right: 15px;
    margin-left: 15px;
}

.preview_massive {

    width: 45%;
    margin-top: 5px;
    margin-bottom: 10px;
    margin-right: 2%;
    margin-left: 2.5%;

}

.inline-wizart {

    display: inline !important;

}

.input-step {

    display: none;

}

.select2-container--open {
    z-index: 9999999
}



.divisionTypify {

    background: #242a30 !important;

}

.divisionTypifyText {

    color: #f2f3f4 !important;

}

.theme-panel.theme-panel-lg {
    top: 0;
    bottom: 0;
    width: 50%;
    right: -50%;
}

.btn-toolbar.sw-toolbar.sw-toolbar-bottom.justify-content-end {

    background: white !important;

}

.btn.btn-secondary.sw-btn-prev {

    background: #348fe2;
    border-color: #348fe2;
    color: white;

}

.btn.btn-secondary.sw-btn-prev.disabled {

    background: #348fe2;
    border-color: #348fe2;
    color: white;

}
.btn.btn-secondary.sw-btn-prev.disabled:hover {

    background: #348fe2;
    border-color: #348fe2;
    color: white;

}
.btn.btn-secondary.sw-btn-prev.disabled:focus {

    background: #348fe2;
    border-color: #348fe2;
    color: white;

}

.filter_table_modal {
    display: inline-block;
    width: calc(50% - 15px);
    margin-top: 5px;
    margin-bottom: 5px;
    margin-right: 5px;
    margin-left: 5px;
}

.theme-panel.theme-panel-lg .theme-collapse-btn.re-contact {

    top:35% !important;

}

.theme-panel.theme-panel-lg .theme-collapse-btn.chat {

    top:40% !important;

}

.messages.comments {

    overflow: unset;
}

.messages.new-contact {

    overflow: unset;
}

.panel-custom-history img
{
    vertical-align: middle;
}
.panel-custom-history .img-responsive
{
    display: block;
    height: auto;
    max-width: 100%;
}
.panel-custom-history .img-rounded
{
    border-radius: 3px;
}
.panel-custom-history .img-thumbnail
{
    background-color: #fff;
    border: 1px solid #ededf0;
    border-radius: 3px;
    display: inline-block;
    height: auto;
    line-height: 1.428571429;
    max-width: 100%;
    moz-transition: all .2s ease-in-out;
    o-transition: all .2s ease-in-out;
    padding: 2px;
    transition: all .2s ease-in-out;
    webkit-transition: all .2s ease-in-out;
}
.panel-custom-history .img-circle
{
    border-radius: 50%;
}
.panel-custom-history .timeline-centered {
    position: relative;
    margin-bottom: 30px;
    width: 100%;
}

.panel-custom-history .timeline-centered:before, .timeline-centered:after {
    content: " ";
    display: table;
}

.panel-custom-history .timeline-centered:after {
    clear: both;
}

.panel-custom-history .timeline-centered:before, .timeline-centered:after {
    content: " ";
    display: table;
}

.panel-custom-history .timeline-centered:after {
    clear: both;
}

.panel-custom-history .timeline-centered:before {
    content: '';
    position: absolute;
    display: block;
    width: 4px;
    background: #f5f5f6;
    left: 50%;
    top: 20px;
    bottom: 20px;
    margin-left: -4px;
}

.panel-custom-history .timeline-centered .timeline-entry {
    position: relative;
    width: 50%;
    float: right;
    margin-bottom: 70px;
    clear: both;
}

.panel-custom-history .timeline-centered .timeline-entry:before, .timeline-centered .timeline-entry:after {
    content: " ";
    display: table;
}

.panel-custom-history .timeline-centered .timeline-entry:after {
    clear: both;
}

.panel-custom-history .timeline-centered .timeline-entry:before, .timeline-centered .timeline-entry:after {
    content: " ";
    display: table;
}

.panel-custom-history .timeline-centered .timeline-entry:after {
    clear: both;
}

.panel-custom-history .timeline-centered .timeline-entry.begin {
    margin-bottom: 0;
}

.panel-custom-history .timeline-centered .timeline-entry.left-aligned {
    float: left;
}

.panel-custom-history .timeline-centered .timeline-entry.left-aligned .timeline-entry-inner {
    margin-left: 0;
    margin-right: -18px;
}

.panel-custom-history .timeline-centered .timeline-entry.left-aligned .timeline-entry-inner .timeline-time {
    left: auto;
    right: -100px;
    text-align: left;
}

.panel-custom-history .timeline-centered .timeline-entry.left-aligned .timeline-entry-inner .timeline-icon {
    float: right;
}

.panel-custom-history .timeline-centered .timeline-entry.left-aligned .timeline-entry-inner .timeline-label {
    margin-left: 0;
    margin-right: 70px;
}

.panel-custom-history .timeline-centered .timeline-entry.left-aligned .timeline-entry-inner .timeline-label:after {
    left: auto;
    right: 0;
    margin-left: 0;
    margin-right: -9px;
    -moz-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner {
    position: relative;
    margin-left: -22px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner:before, .timeline-centered .timeline-entry .timeline-entry-inner:after {
    content: " ";
    display: table;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner:after {
    clear: both;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner:before, .timeline-centered .timeline-entry .timeline-entry-inner:after {
    content: " ";
    display: table;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner:after {
    clear: both;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-time {
    position: absolute;
    left: -100px;
    text-align: right;
    padding: 10px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-time > span {
    display: block;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-time > span:first-child {
    font-size: 15px;
    font-weight: bold;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-time > span:last-child {
    font-size: 12px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon {
    background: #fff;
    color: #737881;
    display: block;
    width: 40px;
    height: 40px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    -webkit-border-radius: 20px;
    -moz-border-radius: 20px;
    border-radius: 20px;
    text-align: center;
    -moz-box-shadow: 0 0 0 5px #f5f5f6;
    -webkit-box-shadow: 0 0 0 5px #f5f5f6;
    box-shadow: 0 0 0 5px #f5f5f6;
    line-height: 40px;
    font-size: 15px;
    float: left;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-primary {
    background-color: #303641;
    color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-secondary {
    background-color: #ee4749;
    color: #fff;
}	background-color: #00a651;
color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-info {
background-color: #21a9e1;
color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-warning {
background-color: #fad839;
color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-danger {
background-color: #cc2424;
c	background-color: #00a651;
color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-info {
background-color: #21a9e1;
color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-warning {
background-color: #fad839;
color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-danger {
background-color: #cc2424;
color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label {
position: relative;
background: #f5f5f6;
padding: 1.7em;
margin-left: 70px;
-webkit-background-clip: padding-box;
-moz-background-clip: padding;
background-clip: padding-box;
-webkit-border-radius: 3px;
-moz-border-radius: 3px;
border-radius: 3px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label:after {
content: '';
display: block;
position: absolute;
width: 0;
height: 0;
border-style: solid;
border-width: 9px 9px 9px 0;
border-color: transparent #f5f5f6 transparent transparent;
left: 0;
top: 10px;
margin-left: -9px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2, .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label p {
color: #737881;
font-family: "Noto Sans",sans-serif;
font-size: 12px;
margin: 0;
line-height: 1.428571429;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label p + p {
margin-top: 15px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 {
font-size: 16px;
margin-bottom: 10px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 a {
color: #303641;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 span {
-webkit-opacity: .6;
-moz-opacity: .6;
opacity: .6;
-ms-filter: alpha(opacity=60);
filter: alpha(opacity=60);
}olor: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label {
position: relative;
background: #f5f5f6;
padding: 1.7em;
margin-left: 70px;
-webkit-background-clip: padding-box;
-moz-background-clip: padding;
background-clip: padding-box;
-webkit-border-radius: 3px;
-moz-border-radius: 3px;
border-radius: 3px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label:after {
content: '';
display: block;
position: absolute;
width: 0;
height: 0;
border-style: solid;
border-width: 9px 9px 9px 0;
border-color: transparent #f5f5f6 transparent transparent;
left: 0;
top: 10px;
margin-left: -9px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2, .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label p {
color: #737881;
font-family: "Noto Sans",sans-serif;
font-size: 12px;
margin: 0;
line-height: 1.428571429;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label p + p {
margin-top: 15px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 {
font-size: 16px;
margin-bottom: 10px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 a {
color: #303641;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 span {
-webkit-opacity: .6;
-moz-opacity: .6;
opacity: .6;
-ms-filter: alpha(opacity=60);
filter: alpha(opacity=60);
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-success {
    background-color: #00a651;
    color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-info {
    background-color: #21a9e1;
    color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-warning {
    background-color: #fad839;
    color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-icon.bg-danger {
    background-color: #cc2424;
    color: #fff;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label {
    position: relative;
    background: #f5f5f6;
    padding: 1.7em;
    margin-left: 70px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label:after {
    content: '';
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 9px 9px 9px 0;
    border-color: transparent #f5f5f6 transparent transparent;
    left: 0;
    top: 10px;
    margin-left: -9px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2, .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label p {
    color: #737881;
    font-family: "Noto Sans",sans-serif;
    font-size: 12px;
    margin: 0;
    line-height: 1.428571429;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label p + p {
    margin-top: 15px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 {
    font-size: 16px;
    margin-bottom: 10px;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 a {
    color: #303641;
}

.panel-custom-history .timeline-centered .timeline-entry .timeline-entry-inner .timeline-label h2 span {
    -webkit-opacity: .6;
    -moz-opacity: .6;
    opacity: .6;
    -ms-filter: alpha(opacity=60);
    filter: alpha(opacity=60);
}

.panel-custom-comments .panel-custom-comments .chat_window {
    position: absolute;
    width: calc(100% - 20px);
    max-width: 800px;
    height: 500px;
    border-radius: 10px;
    background-color: #fff;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
    background-color: #f8f8f8;
    overflow: hidden;
    }

    .panel-custom-comments .top_menu {
    background-color: #fff;
    width: 100%;
    padding: 20px 0 15px;
    box-shadow: 0 1px 30px rgba(0, 0, 0, 0.1);
    }
    .panel-custom-comments .top_menu .buttons {
    margin: 3px 0 0 20px;
    position: absolute;
    }
    .panel-custom-comments .top_menu .buttons .button {
    width: 16px;
    height: 16px;
    border-radius: 50%;
    display: inline-block;
    margin-right: 10px;
    position: relative;
    }
    .panel-custom-comments .top_menu .buttons .button.close {
    background-color: #f5886e;
    }
    .panel-custom-comments .top_menu .buttons .button.minimize {
    background-color: #fdbf68;
    }
    .panel-custom-comments .top_menu .buttons .button.maximize {
    background-color: #a3d063;
    }
    .panel-custom-comments .top_menu .title {
    text-align: center;
    color: #bcbdc0;
    font-size: 20px;
    }

    .panel-custom-comments .messages {
    position: relative;
    list-style: none;
    padding: 20px 10px 0 10px;
    margin: 0;
    height: 100%;
    }
    .panel-custom-comments .messages .message {
    clear: both;
    overflow: hidden;
    margin-bottom: 20px;
    transition: all 0.5s linear;
    opacity: 0;
    }
    .panel-custom-comments .messages .message.left .avatar {
    background-color: #f5886e;
    float: left;
    }
    .panel-custom-comments .messages .message.left .text_wrapper {
    background-color: #ffe6cb;
    margin-left: 20px;
    }
    .panel-custom-comments .messages .message.left .text_wrapper::after, .messages .message.left .text_wrapper::before {
    right: 100%;
    border-right-color: #ffe6cb;
    }
    .panel-custom-comments .messages .message.left .text {
    color: #c48843;
    }
    .panel-custom-comments .messages .message.right .avatar {
    background-color: #fdbf68;
    float: right;
    }
    .panel-custom-comments .messages .message.right .text_wrapper {
    background-color: #c7eafc;
    margin-right: 20px;
    float: right;
    }
    .panel-custom-comments .messages .message.right .text_wrapper::after, .messages .message.right .text_wrapper::before {
    left: 100%;
    border-left-color: #c7eafc;
    }
    .panel-custom-comments .messages .message.right .text {
    color: #45829b;
    }
    .panel-custom-comments .messages .message.appeared {
    opacity: 1;
    }
    .panel-custom-comments .messages .message .avatar {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: inline-block;
    }
    .panel-custom-comments .messages .message .text_wrapper {
    display: inline-block;
    padding: 20px;
    border-radius: 6px;
    width: calc(100% - 85px);
    min-width: 100px;
    position: relative;
    }
    .panel-custom-comments .messages .message .text_wrapper::after, .messages .message .text_wrapper:before {
    top: 18px;
    border: solid transparent;
    content: " ";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    }
    .panel-custom-comments .messages .message .text_wrapper::after {
    border-width: 13px;
    margin-top: 0px;
    }
    .panel-custom-comments .messages .message .text_wrapper::before {
    border-width: 15px;
    margin-top: -2px;
    }
    .panel-custom-comments .messages .message .text_wrapper .text {
    font-size: 18px;
    font-weight: 300;
    }

    .panel-custom-comments .bottom_wrapper {
    position: relative;
    width: 100%;
    background-color: #fff;
    padding: 20px 20px;
    position: absolute;
    bottom: 0;
    }
    .panel-custom-comments .bottom_wrapper .message_input_wrapper {
    display: inline-block;
    height: 50px;
    border-radius: 25px;
    border: 1px solid #bcbdc0;
    width: calc(100% - 160px);
    position: relative;
    padding: 0 20px;
    }
    .panel-custom-comments .bottom_wrapper .message_input_wrapper .message_input {
    border: none;
    height: 100%;
    box-sizing: border-box;
    width: calc(100% - 40px);
    position: absolute;
    outline-width: 0;
    color: gray;
    }
    .panel-custom-comments .bottom_wrapper .send_message {
    width: 140px;
    height: 50px;
    display: inline-block;
    border-radius: 50px;
    background-color: #a3d063;
    border: 2px solid #a3d063;
    color: #fff;
    cursor: pointer;
    transition: all 0.2s linear;
    text-align: center;
    float: right;
    }
    .panel-custom-comments .bottom_wrapper .send_message:hover {
    color: #a3d063;
    background-color: #fff;
    }
    .panel-custom-comments .bottom_wrapper .send_message .text {
    font-size: 18px;
    font-weight: 300;
    display: inline-block;
    line-height: 48px;
    }

    .panel-custom-comments .message_template {
    display: none;
    }